<div>
  <div>
    <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" style="float: left"  *ngFor="let field of formConfigData">
      <div>

        <div *ngIf="!field.required  && field.fieldDisplayType==='number'  ">
          <label class="text-capitalize">{{field.field}}</label>
          <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                 [(ngModel)]="field.fieldValue">
        </div>

        <div *ngIf="field.fieldDisplayType==='password' ">
          <label class="text-capitalize">{{field.field}}<span style="color:red">*</span></label>
          <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                 [(ngModel)]="field.fieldValue" required>
        </div>

        <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
          <label class="text-capitalize">{{field.field}}<span style="color:red">*</span></label>
          <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                 [(ngModel)]="field.fieldValue" required>
        </div>
        <div *ngIf="!field.required  && field.fieldDisplayType==='text'  ">
          <label class="text-capitalize">{{field.field}}</label>
          <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                 [(ngModel)]="field.fieldValue">
        </div>
      </div>
      <div *ngIf="field.fieldDisplayType==='dropDown' ">
        <div class="text-capitalize">{{field.label}}</div>
        <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
          <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
        </select>
      </div>

      <div *ngIf="field.fieldDisplayType==='textarea' ">
        <div class="form-group">
          <label class="text-capitalize">{{field.label}}</label>
          <textarea class="form-control" rows="3"  [(ngModel)]="field.fieldValue"></textarea>
        </div>
      </div>

      <div *ngIf="field.fieldDisplayType=='date'">
        <label class="text-capitalize fontMedium">{{field.label}}</label>
        <form class="form-inline">
          <div class="form-group">
            <div class="input-group">
              <input class="form-control" placeholder="yyyy-mm-dd"
                     name="dp" [(ngModel)]="field.fieldValue" ngbDatepicker #d="ngbDatepicker">
              <div class="input-group-append">
                <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                       aria-hidden="true"></i>
                </button>
              </div>
            </div>
          </div>
        </form>
      </div>

    </div>



  </div>

  <div>
    <button class='btn btn-primary' id="modal-close" data-dismiss="modal"   (click)="submitEditConfigDetails()">Update</button>

    <button class='btn btn-warning' id="modal-close" data-dismiss="modal"><span
            aria-hidden="true">Close</span></button>
  </div>
</div>











